Import Contacts
curl --request POST \
--url https://api.truedy.ai/api/public/v1/contacts/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"folder_id": "<string>",
"file_key": "<string>",
"contacts": [
{
"folder_id": "<string>",
"phone_number": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"company_name": "<string>",
"industry": "<string>",
"location": "<string>",
"pin_code": "<string>",
"keywords": [
"<string>"
],
"metadata": {}
}
],
"csv_base64": "<string>",
"base64_file": "<string>",
"filename": "<string>",
"mapping_config": {}
}
'import requests
url = "https://api.truedy.ai/api/public/v1/contacts/import"
payload = {
"folder_id": "<string>",
"file_key": "<string>",
"contacts": [
{
"folder_id": "<string>",
"phone_number": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"company_name": "<string>",
"industry": "<string>",
"location": "<string>",
"pin_code": "<string>",
"keywords": ["<string>"],
"metadata": {}
}
],
"csv_base64": "<string>",
"base64_file": "<string>",
"filename": "<string>",
"mapping_config": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
folder_id: '<string>',
file_key: '<string>',
contacts: [
{
folder_id: '<string>',
phone_number: '<string>',
first_name: '<string>',
last_name: '<string>',
email: '<string>',
company_name: '<string>',
industry: '<string>',
location: '<string>',
pin_code: '<string>',
keywords: ['<string>'],
metadata: {}
}
],
csv_base64: '<string>',
base64_file: '<string>',
filename: '<string>',
mapping_config: {}
})
};
fetch('https://api.truedy.ai/api/public/v1/contacts/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"successful": 123,
"failed": 123,
"errors": [
{}
]
},
"meta": {
"request_id": "<string>",
"ts": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}Contacts
Import Contacts
Import contacts from CSV (base64) or direct array.
POST
/
contacts
/
import
Import Contacts
Authorizations
Your API key. Send in the Authorization header as: Bearer
Body
application/json
Folder ID to import contacts into
Storage key for uploaded CSV file (legacy)
Direct contact data array (legacy)
Show child attributes
Show child attributes
Base64 encoded CSV file content
Base64 encoded CSV file content (legacy alias for csv_base64)
Original filename of the CSV
Mapping from CSV headers to standard fields. Format: {'csv_header': 'standard_field'}. Unmapped fields go to metadata.
Show child attributes
Show child attributes
⌘I

